curl --request GET \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"referenceId": "72123248136",
"paymentId": "16085194825",
"paymentStatus": "CAPTURED",
"currency": "INR",
"totalAmountValue": 21000,
"totalAmountOffset": 100,
"transactions": [
{
"id": "27194245144",
"type": "UPI",
"status": "SUCCESS",
"createdTimestamp": "2023-01-01T00:00:00.000+0000",
"updatedTimestamp": "2023-01-01T01:00:00.000+0000"
}
]
}Get India UPI PayU/Razorpay payment status
Get India UPI PayU/Razor payment and transaction status.
Required scope: Enable one of: inbound-message:read, whatsapp:inbound-message:read, whatsapp:manage.
curl --request GET \
--url https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}")
.header("Authorization", "<api-key>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.messaging.phonovation.com/whatsapp/1/senders/{sender}/payments/upi/{paymentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"referenceId": "72123248136",
"paymentId": "16085194825",
"paymentStatus": "CAPTURED",
"currency": "INR",
"totalAmountValue": 21000,
"totalAmountOffset": 100,
"transactions": [
{
"id": "27194245144",
"type": "UPI",
"status": "SUCCESS",
"createdTimestamp": "2023-01-01T00:00:00.000+0000",
"updatedTimestamp": "2023-01-01T01:00:00.000+0000"
}
]
}Authorizations
This is the most secure authorization type and the one with the most flexibility.
API keys can be generated by calling the dedicated API method. Furthermore, API keys can have a limited scope and cover only some API methods. Lastly, they can be revoked at any time. This range of possibilities makes API keys well suited for separating the API access rights across multiple applications or use cases. Finally, the loss of an API key is easily manageable.
You can manage your API keys from GUI, or programmatically with dedicated API.
API key Authorization header example:
Authorization: App 003026bbc133714df1834b8638bb496e-8f4b3d9a-e931-478d-a994-28a725159ab9
Path Parameters
Registered WhatsApp sender number. Must be in international format.
1Unique identifier of the payment.
1^[A-Za-z0-9\-_.]{1,35}$Response
Payment successfully retrieved.
Unique identifier generated by the payment service provider.
"72123248136"
Status of the payment.
NEW, PENDING, CAPTURED, CANCELED, FAILED, UNKNOWN "PENDING"
Currency of the payment.
INR, BRL, UNKNOWN "INR"
Value of the payment amount.
21000
Offset of the payment amount.
100
Transactions of the payment.
Show child attributes
Show child attributes
Unique identifier of the payment.
"16085194825"
Custom parameters corresponding to the transaction. Available only for PayU UPI Payments and Razorpay.